This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 432144 - building mozilla with unusual options: collect2: ld terminated with signal 11
building mozilla with unusual options: collect2: ld terminated with signal 11
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Nick Clifton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-08 21:17 EST by Kai Engert (:kaie)
Modified: 2009-07-14 14:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:13:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Prevent seg-fault on mis-matched binaries (728 bytes, patch)
2009-03-27 07:40 EDT, Nick Clifton
no flags Details | Diff

  None (edit)
Description Kai Engert (:kaie) 2008-02-08 21:17:06 EST
Latest Rawhide from today, x86_64 host, 4 gb

I was hunting for another build failure, and accidentially built mozilla (stable
1.8 branch) on x86_64 using the build options that were copied from a i386 build:

--enable-optimize="-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables"

To my surprise this crashed:

gmake[4]: Entering directory `/home/kaie/moz/18/obj-sm-opt/nsprpub/config'
gmake[4]: warning: -jN forced in submake: disabling jobserver mode.
collect2: ld terminated with signal 11 [Segmentation fault], core dumped
/usr/bin/ld: i386 architecture of input file `now.o' is incompatible with
i386:x86-64 output
gmake[4]: *** [now] Error 1
gmake[4]: Leaving directory `/home/kaie/moz/18/obj-sm-opt/nsprpub/config'
gmake[3]: *** [export] Error 2
gmake[3]: Leaving directory `/home/kaie/moz/18/obj-sm-opt/nsprpub'
gmake[2]: *** [nspr] Error 2
gmake[2]: Leaving directory `/home/kaie/moz/18/obj-sm-opt'
make[1]: *** [default] Error 2
make[1]: Leaving directory `/home/kaie/moz/18/obj-sm-opt'
make: *** [build] Error 2
make: Leaving directory `/home/kaie/moz/18/mozilla'


I removed 
 -m32 -march=i386
and it no longer crashes.
Comment 1 Bug Zapper 2008-05-14 01:06:10 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Denys Vlasenko 2008-07-29 10:26:49 EDT
To the reporter: can you attach input file(s) needed and exact command line of
gcc or ld which results in triggering this bug?
Comment 3 Nick Clifton 2009-03-27 07:40:38 EDT
Created attachment 336992 [details]
Prevent seg-fault on mis-matched binaries
Comment 4 Nick Clifton 2009-03-27 07:42:02 EDT
Hi Kai,

  The uploaded patch will fix the linker so that it no longer seg-faults, but instead returns an error code.  Please could you try it out and let me know if you have any problems with it ?

Cheers
  Nick
Comment 5 Bug Zapper 2009-06-09 19:31:44 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Kai Engert (:kaie) 2009-06-18 02:37:02 EDT
I'm sorry, but when you requested me to test 3 months ago, my test environment had been wiped already for a long time. I don't have a way to test this now.
Comment 7 Bug Zapper 2009-07-14 14:13:15 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.